Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163652 - Documentation provides incorrect line for /etc/pam.d/system-auth in samba section
Summary: Documentation provides incorrect line for /etc/pam.d/system-auth in samba sec...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhel-sag
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Mike Behm
QA Contact: John Ha
URL: http://www.redhat.com/docs/manuals/en...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-19 21:02 UTC by Jesse Keating
Modified: 2014-08-04 22:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-15 23:02:28 UTC


Attachments (Terms of Use)

Description Jesse Keating 2005-07-19 21:02:28 UTC
Description of problem:
Manual rhel-sag(EN)-4-HTML-RHI (2005-06-06T17:10U1) in Chapter 23 section 23.2.3
has a line one can add to /etc/pam.d/system-auth so that updating system
password will also update samba password.  The line provided:

password required /lib/security/pam_smbpass.so nullok use_authtok try_first_pass

will not work on 64bit systems as the lib is in /lib64/ instead of /lib. 
Because of this, the file uses the $ISA variable in all lines so that both dirs
are looked in.  The line should read instead:

password    required      /lib/security/$ISA/pam_smbpass.so nullok use_authtok
try_first_pass

Without the $ISA the user will get a message about unknown module.  I"m also
told that pam no longer needs paths and you can just list the library.  But w/
RHEL4 none of the other lines in the file follow this so making the doc entry
look like the existing lines is best.  Perhaps if in the future the paths are
removed from the file, the doc should change to follow suite.


Version-Release number of selected component (if applicable):
rhel-sag(EN)-4-HTML-RHI (2005-06-06T17:10U1)

Comment 1 Mike Behm 2005-11-03 13:40:06 UTC
The "$ISA" has been added to the path ad will appear in the next release of this
manual. 


Note You need to log in before you can comment on or make changes to this bug.